io.vertx.json.schema.common

## Class URIUtils

- java.lang.Object
- - io.vertx.json.schema.common.URIUtils

-     public class URIUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URIUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonPointer` | `createJsonPointerFromURI(URI original)` This function converts eventual "#a" to valid json pointer "#/a"
    `static boolean` | `isLocalURI(URI uri)`
    `static boolean` | `isRemoteURI(URI uri)`
    `static URI` | `removeFragment(URI oldURI)`
    `static URI` | `replaceFragment(URI oldURI, String fragment)`
    `static URI` | `requireAbsoluteUri(URI uri)`
    `static URI` | `requireAbsoluteUri(URI uri, String name)`
    `static URI` | `resolvePath(URI oldURI, String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URIUtils

          public URIUtils()

  - ### Method Detail

    - #### removeFragment

          public static URI removeFragment(URI oldURI)

    - #### replaceFragment

          public static URI replaceFragment(URI oldURI,
                                            String fragment)

    - #### isRemoteURI

          public static boolean isRemoteURI(URI uri)

    - #### isLocalURI

          public static boolean isLocalURI(URI uri)

    - #### resolvePath

          public static URI resolvePath(URI oldURI,
                                        String path)

    - #### createJsonPointerFromURI

          public static JsonPointer createJsonPointerFromURI(URI original)

      This function converts eventual "#a" to valid json pointer "#/a"
      Parameters:
        `original` -
      Returns:

    - #### requireAbsoluteUri

          public static URI requireAbsoluteUri(URI uri)

    - #### requireAbsoluteUri

          public static URI requireAbsoluteUri(URI uri,
                                               String name)

Copyright © 2022 Eclipse. All rights reserved.